Update an event

Updates an event by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts mostly the same properties as the event creation call.

Path Params
string
required

Unique identifier for the event.

Body Params
string

The event's title. It must be a non-empty, single-line string.

string

The ID of the calendar the event is associated with.

string

The start date & time of the event. Accepts datetimes in the following formats:

  • YYYY-MM-DD hh:mm:ss e.g. 2023-11-28 10:00:00
  • YYYY-MM-DD hh:mm e.g. 2023-11-28 10:00
  • YYYY-MM-DD e.g. 2023-11-28
string

The end date & time of the event. Accepts datetimes in the following formats:

  • YYYY-MM-DD hh:mm:ss e.g. 2023-11-28 10:00:00
  • YYYY-MM-DD hh:mm e.g. 2023-11-28 10:00
  • YYYY-MM-DD e.g. 2023-11-28
boolean
Defaults to false

Whether the event is an all day event. If true then the start and end time of the event are ignored, and only the date is used.

string

The event's timezone. This ensures that the event appears at the correct time for users regardless of their timezone.

The List timezones endpoint returns all of the timezone values that are supported, or you can use our Timezone Lookup Tool to find a timezone. Defaults to the calendar's timezone if not provided.

This property also accepts the value floating, which means that the event will appear at the same time in each user's timezone. For example, the event will be at 2 pm local time for users in Paris and 2 pm for local time for users in San Francisco.

string

The event's recurring rule which must use the iCalendar Standard's format. See our Recurring Rule Generator for help with generating valid recurring rules.

Leave this property empty to create an even that does not repeat.

Please note:

  1. Recurring rules are advanced functionality and need to be tested before using them.
  2. datetime_start must match the recurring rule to work in strict calendar systems like Outlook (desktop) and Apple Calendar.
  3. Recurring rules are not supported by Yahoo Calendar.
string

The event's description. This field accepts plain text or simplified HTML. Use \n to create a new line. Simplified HTML is not supported by all calendar clients, in which case, the content will be automatically converted into readable text.

Please note: We recommend keeping your description short and to the point, with a maximum of 500 characters. Some browsers (e.g., Microsoft Edge) limit the number of characters that can be transferred in a URL, so this limit ensures that your event is cross-browser compatible.

string

An internal name for the event which will not be displayed publicly. This can be used internally to distinguish between events, to add additional information/context to an event, or to store an external ID that relates to another system.

string

The event's location. This can be an address or a URL, for example, a meeting or webinar link. Only one of location and location_id can be provided.

integer
≥ 0

The ID of the saved location to associate with the event. The value 0 means that a saved location is not being used. Only one of location and location_id can be provided.

string

The event organizer's name. If organizer_name is provided, then organizer_email must also be provided. The organizer information is displayed on the event landing page, and including an organizer means the event is considered a meeting by calendar clients such as Outlook (desktop) rather than an appointment.

string

The event organizer's email address. If organizer_email is provided, then organizer_name must also be provided. The organizer information is displayed on the event landing page, and including an organizer means the event is considered a meeting by calendar clients such as Outlook (desktop) rather than an appointment.

integer
0 to 10800
Defaults to 30

The number of minutes prior to the start of an event that a reminder notification will be sent to the user via their calendar app. Event reminders are currently only supported by:

  • Apple calendar
  • Outlook desktop
  • Office 365 and Outlook.com (when using the Microsoft Events API)
integer
1 to 20
Defaults to 1

The event's color. This appears in the dashboard and on calendar landing pages or embeddable calendars. Accepts values between 1 and 20 that correspond to the colors on the calendar's palette.

string
enum
Defaults to default

Indicates whether the event appears as free or busy when the user adds it to their calendar. Accepts the following values:

  • free: the event appears as free and does not block the user's calendars
  • busy: the event appears as busy and blocks the user's calendar
  • default: the event uses the user's default free/busy setting
Allowed:
string
Defaults to default

The ID of the custom event landing page template to associate with the event. Accepts the value default, which uses the standard AddEvent template, or the ID of a custom template, which can be retrieved with the List event templates endpoint.

boolean
Defaults to false

Whether the event requires a user to respond and enter their information before adding the event to their calendar.

string
Defaults to default

The ID of the custom RSVP form to associate with the event. Accepts the value default, which uses the standard AddEvent template, or the ID of a custom RSVP form, which can be retrieved with the List RSVP forms endpoint.

custom_data
object

Arbitary key-value pairs that can be attached to an event. Useful for storing additional structured data on an object, for example, storing external IDs to link an event to another system or linking to custom images for each event. snake_case should be used for custom data keys.

Responses

404

Not found

Language
Credentials
Bearer
APIkey
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json